Installation

You need Vim to do the exercises:

macOS

The OS ships with Vim by default, but it's a hopelessly outdated version.

Chances are you're either using MacPorts or Homebrew to install software.

Homebrew:

1
2
$ brew update
$ brew install vim

MacPorts:

1
$ sudo port install vim +huge

If you want a GUI, have a look at MacVim instead.

Ubuntu / Debian

Install a full-fledged Vim with GUI support (gvim):

1
2
$ sudo apt-get update
$ sudo apt-get install vim-gtk

Windows

Using Chocolatey:

1
C:\> choco install vim

Or download and install directly from here.

Source

If you want to compile the latest Vim yourself, check out the official repository on GitHub.


Help us explain this better! File a GitHub issue at https://github.com/exercism/vimscript/issues if you have suggestions, or submit a patch with improvements to the https://github.com/exercism/vimscript/blob/master/docs/INSTALLATION.md file.